using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Dynamic : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        RadComboBox combo = new RadComboBox();
        combo.ID = "cb";
        form1.Controls.Add(combo);
        combo.ItemTemplate = new TreeViewTemplate();
        combo.Items.Add(new RadComboBoxItem("Please select a product"));
        combo.Width = Unit.Pixel(300);
        combo.DropDownWidth = Unit.Pixel(300);
        combo.Height = Unit.Pixel(200);

        base.OnInit(e);
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }
}

class TreeViewTemplate : ITemplate
{
    public void InstantiateIn(Control container)
    {
        RadTreeView tree = new RadTreeView();
        tree.ID = "tv";
        container.Controls.Add(tree);        
        RadTreeNode root1 = new RadTreeNode("RadControls for ASP.NET AJAX");
        root1.Category = "ASP.NET AJAX";
        root1.ExpandMode = TreeNodeExpandMode.ServerSideCallBack;
        RadTreeNode root2 = new RadTreeNode("RadControls for ASP.NET");
        root2.ExpandMode = TreeNodeExpandMode.ServerSideCallBack;
        root2.Category = "ASP.NET";
        tree.Nodes.Add(root1);
        tree.Nodes.Add(root2);
        tree.NodeExpand += new RadTreeViewEventHandler(tv_NodeExpand);
        tree.OnClientNodeClicking = "OnClientNodeClickingHandler";
    }

    private void tv_NodeExpand(object sender, Telerik.Web.UI.RadTreeNodeEventArgs e)
    {
        RadTreeNode child1 = new RadTreeNode("RadComboBox for " + e.Node.Category);
        RadTreeNode child2 = new RadTreeNode("RadTreeView for " + e.Node.Category);
        e.Node.Nodes.Add(child1);
        e.Node.Nodes.Add(child2);
    }
}
